/* AP 5-sep-12	reverse.c				*/
/*		Reihenfolge einer Zeichenkette umkehren	*/

# include <string.h>
# include <stdio.h>

#include <ctype.h>

#define ASCII_CLASS_GAP ('a' - 'A')

char make_upper(char c)
{
    if (c >= 'a' && c <= 'z') {
        return c - ASCII_CLASS_GAP;
    }
    return c;
}

/* reverse a string in place */
void reverse( char s[] ) {
	int c, i, j;
	for (i = 0, j = strlen(s)-1; i <= j; i++, j--) {
		c = toupper(s[i]); 
        s[i] = toupper(s[j]);
        s[j] = c;
	}
}

int main( int argc, char * argv [] ) {
	char * prog = argv[0];
	int i = 0;

	if (argc < 2 ) {
		printf("usage: %s <string>+\n", prog );
		return 1;
	}
	for (i = argc - 1; i >= 1; i--) {
		reverse( argv[ i ] );
		printf("%s\n", argv[ i ]);
	}
	return 0;
}
		

	
