#include <stdio.h>
#include <string.h>

#ifndef is_palindrome
#define is_palindrome is_palindrome_eric
#endif

int is_palindrome_mark(char *s)
{
    int i, j, c;
    for (i = 0, j = strlen(s)-1; i <= j; i++, j--) {
        if (s[i] != s[j]) 
            return 0;
    }
    return 1;
}

int is_palindrome_eric(char *s)
{
    int i;
    int len = strlen(s);
    int mid = len / 2;

    for (i = 0; i < mid; i++) {
        if (s[i] != s[len - 1 - i])
            return 0;
    }
    return 1;
}

int main(int argc, char *argv[])
{
    if (argc < 2) {
        printf("Wordz pleaze...\n");
        return 1;
    }

    int i;
    for (i = 1; i < argc; i++) {
        if (is_palindrome(argv[i])) {
            printf("YES\n");
        } else {
            printf("NO\n");
        }
    }
}
